# README

## Введение

Этот проект представляет собой инструмент для поиска и сохранения информации о фильмах.

## Особенности

* **Поиск фильмов по одной из самых больших в мире баз данных о фильмах**
* **Сохранение фильмов в txt-файлы**
* **Автоматический перевод на английский и русский**
* **Интуитивно понятный интерфейс**
* **Удобный вывод информации о фильмах**
* **Отсутствие рекламы**
* **Свободная лицензия MIT**
* **Проект написан на Python**
* **Удобная установка**

## Функции

* **Поиск фильмов**: функция поиска фильмов позволяет находить информацию о различных фильмах, включая название, год выпуска, жанр, рейтинг, описание и прочее.
* **Сохранение фильмов в txt-файлы**: функция сохранения фильмов в txt-файлы позволяет сохранять информацию о фильмах в файлы, которые могут быть легко прочитаны и изменены.
* **Автоматический перевод**: функция автоматического перевода позволяет переводить текст на русский и на английский языки.
* **И многое другое**

## Ограничения

* **Интернет**: без него работать не будет вообще всё
* **Поиск фильмов**: функция поиска фильмов имеет ограничение на количество результатов, возвращаемых за один запрос, всего 10. Для получения большего количества было введено числовое поле Страница
* **Сохранение фильмов в txt-файлы**: функция сохранения фильмов в txt-файлы имеет ограничение на размер файла в 100 МБ (вы вряд ли его встретите, описания гораздо короче).
* **Автоматический перевод**: автоматический перевод имеет ограничение на длину текста для перевода (его тоже не встретите, оно огромное).

## Требования

* **Python 3.9+**: проект требует Python 3.9 или более поздней версии.
* **requests**: проект использует библиотеку requests для выполнения HTTP-запросов.
* **deep_translator**: проект использует библиотеку deep_translator для автоматического перевода текста.
* **langid**: проект использует библиотеку langid для определения языка текста.
И прочие, смотри requirements.txt

## Установка

1. Получить этот код
2. Установить зависимости: `pip install -r requirements.txt`

## Использование

1. Запустить проект: `python main.py`
2. Использовать функцию поиска фильмов: ввести название фильма и нажать кнопку "Поиск"
3. Использовать функцию сохранения фильмов в txt-файлы: нажать на кнопку "Сохранить как txt"
4. Использовать функцию автоматического перевода: она автоматическая, для переключения языка использовать кнопку с соответствующим значком (если не очень понятно какая - можно понажимать на все, их не очень много)

## Лицензия

Этот проект распространяется под лицензией MIT.

## Контакты

Если у вас есть вопросы или предложения, пожалуйста, обратитесь ко мне (желательно при личной встрече, но можно и через Сеть - lebedev.art.2009@yandex.ru, lebedev.art.2009@gmail.com, https://t.me/atilaartem)